Is AI recommending you? Ask Contentstack Canoe for free
Is AI recommending your brand? Find out with Contentstack Canoe for free
Contentstack.comAcademyLogin
CS-log-dark.svgCS-log-dark.svg
  • Changelog
  • APIs
  • SDKs

Platform

  • Solution Center
  • Marketplace
  • Changelog
  • Developers & IT
  • Business users
  • Digital leaders
  • Developer Fast Track
  • Plans & Pricing

Solutions

  • Retail
  • Travel and tourism
  • Financial services
  • Technology
  • Manufacturing
  • E-commerce
  • Localization
  • Personalization
  • Portals and knowledge bases

Resources

  • Academy
  • Docs
  • Contentstack for Developers
  • Product updates
  • Contentstack on Contentstack
  • Blog
  • Insights and analyst reports
  • The Forrester Wave™: Digital Experience Platforms, Q4 2025
  • Webinars
  • Podcasts
  • Glossary
  • Content generative library
  • Community
  • Headless CMS
  • Composable AXP
  • Personalization
  • CDP

Customers

  • Case Studies
  • Customer Care
  • Contentstack Experience Awards
  • Customer support

Partners

  • Overview
  • Find a partner
  • Login

Company

  • About us
  • News
  • Customer support portal
  • Contact

Social

  • Facebook
  • LinkedIn
  • Instagram
  • GitHub
  • YouTube
  • Discord
  • X
LegalTermsPrivacyTrust Center

Cookie settings

Copyright © 2026 Contentstack Inc. All rights reserved.
/
  1. Home
  2. APIs
  3. Lytics API
  4. V1
  5. Account Settings

Account Settings

markdownView as Markdown

Account Settings describe features/settings for a Lytics account.

Retrieve a Single Account Setting

GEThttps://api.lytics.io/api/account/setting/{setting}

Get single Account Setting by slug.

Sample Response
Status|200 OK
1234567891011121314151617
{
  "can_be_assigned": true,
  "category": "Security",
  "field": {
    "description": "Enforce rule preventing re-use of same password.",
    "editable": false,
    "label": "",
    "name": "Enforce Password History",
    "optional": false,
    "sort_order": 0,
    "type": "boolean",
    "user_config_disabled": false
  },
  "slug": "enforce_password_history",
  "type": "setting",
  "value": null
}

Account Setting Update

PUThttps://api.lytics.io/api/account/setting/{setting}

Post update to Account Setting. See list of possible Settings from the List api.

``sh

curl -XPUT "https://api.lytics.io/api/account/setting/logon_session_days" \

-H 'Content-type: application/json' \

-H 'Authorization: $LIOKEY' \

-d '10'

``

Sample Request
1
0
Sample Response
Status|200 OK
1234567891011121314151617
{
  "can_be_assigned": true,
  "category": "Security",
  "field": {
    "description": "Enforce rule preventing re-use of same password.",
    "editable": false,
    "label": "",
    "name": "Enforce Password History",
    "optional": false,
    "sort_order": 0,
    "type": "boolean",
    "user_config_disabled": false
  },
  "slug": "enforce_password_history",
  "type": "setting",
  "value": null
}

Account Setting Delete

DELETEhttps://api.lytics.io/api/account/setting/{setting}

Delete a custom account setting. Given a key for a setting, delete the custom-value.

Note, since account-settings may have default values, this only deletes the entire value that currently exists.

``sh

curl -XDELETE "https://api.lytics.io/api/account/setting/logon_session_days" \

-H 'Authorization: $LIOKEY'

``

Sample Response
Status|204 No Content
1
No Content

Account Setting List

GEThttps://api.lytics.io/api/account/setting


Sample Response
Status|200 OK
1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556
{
  "status": "success",
  "data": [
    {
      "can_be_assigned": true,
      "category": "Security",
      "field": {
        "description": "Enforce rule preventing re-use of same password.",
        "editable": false,
        "label": "",
        "name": "Enforce Password History",
        "optional": false,
        "sort_order": 0,
        "type": "boolean",
        "user_config_disabled": false
      },
      "slug": "enforce_password_history",
      "type": "setting",
      "value": null
    },
    {
      "can_be_assigned": true,
      "category": "Security",
      "field": {
        "description": "Enforce rule forcing high-password complexity.",
        "editable": false,
        "label": "",
        "name": "Enforce Password Complexity",
        "optional": false,
        "sort_order": 0,
        "type": "boolean",
        "user_config_disabled": false
      },
      "slug": "enforce_password_complexity",
      "type": "setting",
      "value": null
    },
    {
      "can_be_assigned": true,
      "category": "Security",
      "field": {
        "description": "Ensure all users have two-factor auth.",
        "editable": false,
        "label": "",
        "name": "All users must have two factor auth.",
        "optional": false,
        "sort_order": 0,
        "type": "boolean",
        "user_config_disabled": false
      },
      "slug": "enforce_two_factor_auth",
      "type": "setting",
      "value": null
    }
  ]
}
Hide Parameters

URL Parameters

settingrequiredstring

slug of account setting.

Example:

enforce_password_history

Query Parameters

account_idoptionalstring

Your Lytics account ID.

Headers

Authorizationoptionalstring

Hide Parameters

URL Parameters

settingrequiredstring

slug of account setting.

Example:

enforce_password_history

Query Parameters

account_idoptionalstring

Your Lytics account ID.

Headers

Authorizationoptionalstring

Hide Parameters

URL Parameters

settingrequiredstring

slug of account setting.

Example:

enforce_password_history

Query Parameters

account_idoptionalstring

Your Lytics account ID.

Headers

Authorizationoptionalstring

Hide Parameters

Headers

Authorizationoptionalstring